Class | Chef::StreamingCookbookUploader
In: | lib/chef/streaming_cookbook_uploader.rb
Parent: | Object

### Methods

make_request post put

### Classes and Modules

Class Chef::StreamingCookbookUploader::MultipartStream
Class Chef::StreamingCookbookUploader::StreamPart
Class Chef::StreamingCookbookUploader::StringPart

### Constants

DefaultHeaders | = | { 'accept' => 'application/json', 'x-chef-version' => ::Chef::VERSION }

### Public Class methods

make_request(http_verb, to_url, user_id, secret_key_filename, params = {}, headers = {})
post(to_url, user_id, secret_key_filename, params = {}, headers = {})
put(to_url, user_id, secret_key_filename, params = {}, headers = {})

[Validate]